﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class Default : System.Web.UI.Page
{
    private const string ProviderSessionKey = "RadGanttSample";

    XmlGanttProvider Provider
    {
        get
        {
            XmlGanttProvider provider = (XmlGanttProvider)Session[ProviderSessionKey];
            if (Session[ProviderSessionKey] == null || !IsPostBack)
            {
                provider = new XmlGanttProvider(Server.MapPath("~/App_Data/Tasks.xml"), true);

                Session[ProviderSessionKey] = provider;
            }

            return provider;
        }
    }

    private void Page_Init(object sender, EventArgs e)
    {
        RadGantt1.Provider = Provider;
    }
}


